-- moreSounds.lua
-- Script for sounds when playing animations
--
-- Author RivalBomb
-- 05.01.2016
-- edit 23.04.2016

moreSounds = {};

function moreSounds.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function moreSounds:load(savegame)
	if self.isClient then
		self.sampleOpenleftSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseleftSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
		
		self.sampleOpenrightSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloserightSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
		
		self.sampleOpenbackSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleClosebackSide = SoundUtil.loadSample(self.xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
	end;
end;

function moreSounds:delete()
	if self.sampleOpenleftSide ~= nil then
		SoundUtil.deleteSample(self.sampleOpenleftSide);
	end;
	if self.sampleOpenrightSide ~= nil then
		SoundUtil.deleteSample(self.sampleOpenrightSide);
	end;
	
	if self.sampleCloseleftSide ~= nil then
		SoundUtil.deleteSample(self.sampleCloseleftSide);
	end;
	if self.sampleCloserightSide ~= nil then
		SoundUtil.deleteSample(self.sampleCloserightSide);
	end;
	
	if self.sampleOpenbackSide ~= nil then
		SoundUtil.deleteSample(self.sampleOpenbackSide);
	end;
	if self.sampleClosebackSide ~= nil then
		SoundUtil.deleteSample(self.sampleClosebackSide);
	end;
end;

function moreSounds:mouseEvent(posX, posY, isDown, isUp, button)
end;

function moreSounds:keyEvent(unicode, sym, modifier, isDown)
end;

function moreSounds:update(dt)
	if self.isClient then
			if self:getIsAnimationPlaying("leftSide") then
				if self.animations["leftSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenleftSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenleftSide,1,1,nil);
					end;
				elseif self.animations["leftSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleCloseleftSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloseleftSide,1,1,nil);
					end;
				end;
			end;
			
			if self:getIsAnimationPlaying("rightSide") then
				if self.animations["rightSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenrightSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenrightSide,1,1,nil);
					end;
				elseif self.animations["rightSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleCloserightSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleCloserightSide,1,1,nil);
					end;
				end;
			end;
			
			if self:getIsAnimationPlaying("backSide") then
				if self.animations["backSide"].currentSpeed > 0 then
					if not SoundUtil.isSamplePlaying(self.sampleOpenbackSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleOpenbackSide,1,1,nil);
					end;
				elseif self.animations["backSide"].currentSpeed < 0 then
					if not SoundUtil.isSamplePlaying(self.sampleClosebackSide, 1.5*dt) then
						SoundUtil.playSample(self.sampleClosebackSide,1,1,nil);
					end;
				end;
			end;
		end;
	end;

function moreSounds:updateTick(dt)
end;

function moreSounds:draw()	
end;